#ifndef __CARDS_PATTERNS_
#define __CARDS_PATTERNS_
/*
 *	Spider
 *
 *	(c) Copyright 1989, Donald R. Woods and Sun Microsystems, Inc.
 *	(c) Copyright 1990, David Lemke and Network Computing Devices Inc.
 *
 *	See copyright.h for the terms of the copyright.
 *
 *	@(#)defs.h	2.1	90/04/25
 *
 */

#include	<X11/Xlib.h>
#include	<X11/Xutil.h>
#include	<stdio.h>

typedef	unsigned short Suit;
typedef	unsigned short Rank;
typedef	unsigned short Type;

#define	CARD_WIDTH	79
#define	CARD_HEIGHT	123

#define	SUIT_SPADE	0
#define	SUIT_HEART	1
#define	SUIT_DIAMOND	2
#define	SUIT_CLUB	3

#define	RANK_ACE	0
#define	RANK_DEUCE	1
#define	RANK_THREE	2
#define	RANK_FOUR	3
#define	RANK_FIVE	4
#define	RANK_SIX	5
#define	RANK_SEVEN	6
#define	RANK_EIGHT	7
#define	RANK_NINE	8
#define	RANK_TEN	9
#define	RANK_JACK	10
#define	RANK_QUEEN	11
#define	RANK_KING	12

#define	NUM_RANKS	13
#define	NUM_SUITS	4

void	card_init(Display *d, int scr);
void	paint_cardback(Pixmap target, int x, int y);
void	put_card(Pixmap target, int suit, int rank, int x, int y);
void	card_free(void);


extern Pixmap **cards;
#endif
