/*
 * * Various utility routines.
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "util.h"

char   *
strsave(char *temp)
{
	char   *p;

	p = malloc(strlen(temp) + 1);
	strcpy(p, temp);
	return (p);
}

int 
readln(int s, char *temp)
{
	do {
		if (read(s, temp, 1) < 1)
			return 0;
	}
	while (*temp++ != '\n');
	*temp = NULL;
	return 0; /* inserted by hunsoo to delete the gcc-warning mesg */
}

void
writeln(int s, char *temp)
{
	write(s, temp, strlen(temp));
	write(s, "\n", 1);
	return;
}
